<script setup>
import InputError from "@/Components/InputError.vue";
import { Head, Link, useForm } from "@inertiajs/vue3";

import GuestLayout from "@/Layouts/GuestLayout.vue";


const form = useForm({
    name: "",
    email: "",
    password: "",
    role:"",
});

const submit = () => {

    form.post(route("register"));
};

function myFunction(id) {
    var input = document.getElementById(id);
    input.type = (input.type === 'password') ? 'text' : 'password';
}
</script>

<template>
    <Sweetalert />

    <Head title="Register" />

    <GuestLayout>


        <div class="row justify-content-center">
            <div class="col-md-8 col-lg-6 col-xl-5">
                <div class="card mt-4">
                    <div class="card-body p-4">
                        <div class="text-center mt-2">
                            <h5 class="text-primary">Create New Account</h5>
                            <p class="text-muted">Get your free velzon account now</p>
                        </div>
                        <div class="p-2 mt-4">
                            <form class="needs-validation" @submit.prevent="submit">
                                <div class="mb-3">
                                    <label for="useremail" class="form-label">Email <span
                                            class="text-danger">*</span></label>
                                    <input type="email" class="form-control" id="useremail"
                                        placeholder="Enter email address" v-model="form.email" />
                                    <InputError class="mt-2 text-danger" :message="form.errors.email" />
                                </div>
                                <div class="mb-3">
                                    <label for="username" class="form-label">Username <span
                                            class="text-danger">*</span></label>
                                    <input type="text" class="form-control" id="username" placeholder="Enter username"
                                        v-model="form.name" />
                                    <InputError class="mt-2 text-danger" :message="form.errors.name" />
                                </div>

                                <div class="mb-3">
                                    <label class="form-label" for="password-input">Password</label>
                                    <div class="position-relative auth-pass-inputgroup">
                                        <input type="password" class="form-control pe-5 password-input"
                                            onpaste="return false" placeholder="Enter password" id="password-input"
                                            v-model="form.password" />
                                        <button
                                            class="btn btn-link position-absolute end-0 top-0 text-decoration-none text-muted password-addon"
                                            type="button" id="password-addon">
                                            <i class="ri-eye-fill align-middle"
                                                @click="myFunction('password-input')"></i>
                                        </button>
                                        <div class="invalid-feedback">
                                            Please enter password
                                        </div>
                                    </div>
                                    <InputError class="mt-2 text-danger" :message="form.errors.password" />
                                </div>

                             

                                <div class="mb-3">
                                    <label for="role" class="form-label">Role<span
                                            class="text-danger">*</span></label>

                                            <select name="role" id="role" class="form-control" v-model="form.role">
                                                <option value="" selected>Selected</option>
                                                <option value="2">Restaurant</option>
                                                <option value="3">Customer</option>
                                                <option value="4">Delivery Boy</option>
                                            </select>
                                    <InputError class="mt-2 text-danger" :message="form.errors.role" />
                                </div>

                                <div class="mt-4">
                                    <button class="btn btn-success w-100" type="submit">
                                        Sign Up
                                    </button>
                                </div>


                            </form>
                        </div>
                    </div>
                    <!-- end card body -->
                </div>
                <!-- end card -->

                <div class="mt-4 text-center">
                    <Link class="fw-semibold text-primary text-decoration-underline" :href="route('login')">
                    Signin
                    </Link>
                </div>
            </div>
        </div>


    </GuestLayout>

</template>
